Package org.eclipse.net4j.util.ui

# Class DefaultPropertySource<RECEIVER>

java.lang.Object
org.eclipse.net4j.util.ui.DefaultPropertySource<RECEIVER>

All Implemented Interfaces:
  `IPropertySource`

Direct Known Subclasses:
  `DefaultPropertySource.Augmented`

public class DefaultPropertySource<RECEIVER> extends Object implements IPropertySource

Since:
  3.2
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DefaultPropertySource.Augmented<RECEIVER,AUGMENTING_RECEIVER>`
`static final class`
`DefaultPropertySource.DelegatingPropertyDescriptor<RECEIVER>`

## Constructor Summary

Constructors
Constructor
Description
`DefaultPropertySource(RECEIVER receiver)`
`DefaultPropertySource(RECEIVER receiver, IPropertyProvider<RECEIVER> provider)`

## Method Summary

Modifier and Type
Method
Description
`PropertyDescriptor`
`addDescriptor(String category, Object id, String displayName, String description)`
`boolean`
`addDescriptor(Property<RECEIVER> property)`
`boolean`
`addDescriptor(IPropertyDescriptor descriptor)`
`void`
`addDescriptors(IPropertyProvider<RECEIVER> provider)`
`DefaultPropertySource<RECEIVER>`
`extendDescriptors()`
`DefaultPropertySource<RECEIVER>`
`extendDescriptors(IManagedContainer container)`
`Object`
`getEditableValue()`
`Property<RECEIVER>`
`getProperty(Object id)`
`IPropertyDescriptor`
`getPropertyDescriptor(Object id)`
`IPropertyDescriptor[]`
`getPropertyDescriptors()`
`Object`
`getPropertyValue(Object id)`
`RECEIVER`
`getReceiver()`
`boolean`
`isPropertySet(Object id)`
`void`
`resetPropertyValue(Object id)`
`void`
`setPropertyValue(Object id, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultPropertySource

public DefaultPropertySource(RECEIVER receiver)

### DefaultPropertySource

public DefaultPropertySource(RECEIVER receiver, IPropertyProvider<RECEIVER> provider)

## Method Details

### getReceiver

public RECEIVER getReceiver()

### addDescriptor

public boolean addDescriptor(IPropertyDescriptor descriptor)

Since:
  3.5

### addDescriptor

public boolean addDescriptor(Property<RECEIVER> property)

Since:
  3.21

### addDescriptor

public PropertyDescriptor addDescriptor(String category, Object id, String displayName, String description)

### addDescriptors

public void addDescriptors(IPropertyProvider<RECEIVER> provider)

### extendDescriptors

public DefaultPropertySource<RECEIVER> extendDescriptors()

Since:
  3.21

### extendDescriptors

public DefaultPropertySource<RECEIVER> extendDescriptors(IManagedContainer container)

Since:
  3.21

### getPropertyDescriptors

public IPropertyDescriptor[] getPropertyDescriptors()

Specified by:
  `getPropertyDescriptors` in interface `IPropertySource`

### getPropertyDescriptor

public IPropertyDescriptor getPropertyDescriptor(Object id)

### getProperty

public Property<RECEIVER> getProperty(Object id)

### getPropertyValue

public Object getPropertyValue(Object id)

Specified by:
  `getPropertyValue` in interface `IPropertySource`

### isPropertySet

public boolean isPropertySet(Object id)

Specified by:
  `isPropertySet` in interface `IPropertySource`

### resetPropertyValue

public void resetPropertyValue(Object id)

Specified by:
  `resetPropertyValue` in interface `IPropertySource`

### setPropertyValue

public void setPropertyValue(Object id, Object value)

Specified by:
  `setPropertyValue` in interface `IPropertySource`

### getEditableValue

public Object getEditableValue()

Specified by:
  `getEditableValue` in interface `IPropertySource`